## org.apache.cassandra.db
Class Directories.SSTableLister

    java.lang.Object
      org.apache.cassandra.db.Directories.SSTableLister

Enclosing class:
  Directories

    public class Directories.SSTableLister

extends java.lang.Object

Constructor Summary
`Directories.SSTableLister()`

Method Summary
`Directories.SSTableLister` `includeBackups(boolean b)`
`java.util.Map<Descriptor,java.util.Set<Component>>` `list()`
`java.util.List<java.io.File>` `listFiles()`
`Directories.SSTableLister` `onlyBackups(boolean b)`
`Directories.SSTableLister` `skipCompacted(boolean b)`
`Directories.SSTableLister` `skipTemporary(boolean b)`
`Directories.SSTableLister` `snapshots(java.lang.String sn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Directories.SSTableLister

    public Directories.SSTableLister()

Method Detail

### skipCompacted

    public Directories.SSTableLister skipCompacted(boolean b)

### skipTemporary

    public Directories.SSTableLister skipTemporary(boolean b)

### includeBackups

    public Directories.SSTableLister includeBackups(boolean b)

### onlyBackups

    public Directories.SSTableLister onlyBackups(boolean b)

### snapshots

    public Directories.SSTableLister snapshots(java.lang.String sn)

### list

    public java.util.Map<Descriptor,java.util.Set<Component>> list()

### listFiles

    public java.util.List<java.io.File> listFiles()

Copyright © 2013 The Apache Software Foundation